=== debian/control ===
Source: maloc
Section: devel
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper-compat (= 13),
 doxygen,
 graphviz,
 libjs-jquery,
 libreadline-dev
Standards-Version: 4.7.0
Homepage: http://fetk.org/codes/maloc/
Vcs-Browser: https://salsa.debian.org/debichem-team/maloc
Vcs-Git: https://salsa.debian.org/debichem-team/maloc.git

Package: libmaloc1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Object-oriented Abstraction Layer for C 
 MALOC is a small, portable, abstract C environment library for object-
 oriented C programming.  MALOC is used as the foundation layer for a
 number of scientific applications, including MC, SG, and APBS.  MALOC
 can be used as a small stand-alone abstraction environment for writing
 portable C programs which need access to resources which are typically
 architecture-dependent, such as INET sockets, timing routines, and so
 on.  MALOC provides abstract datatypes, memory management routines,
 timing routines, machine epsilon, access to UNIX and INET sockets, MPI,
 etc.  All things that can vary from one architecture to another are
 abstracted out of an application code and placed in MALOC.

Package: libmaloc-dev
Section: libdevel
Architecture: any
Depends: libmaloc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 libjs-jquery
Description: Object-oriented Abstraction Layer for C (development files)
 MALOC is a small, portable, abstract C environment library for object-
 oriented C programming.  MALOC is used as the foundation layer for a
 number of scientific applications, including MC, SG, and APBS.  MALOC
 can be used as a small stand-alone abstraction environment for writing
 portable C programs which need access to resources which are typically
 architecture-dependent, such as INET sockets, timing routines, and so
 on.  MALOC provides abstract datatypes, memory management routines,
 timing routines, machine epsilon, access to UNIX and INET sockets, MPI,
 etc.  All things that can vary from one architecture to another are
 abstracted out of an application code and placed in MALOC.
 . 
 This package contains the header files, static library and the 
 programmer's guide in HTML format.
