=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := --enable-shared

%:
	dh $@

execute_after_dh_installdocs:
	rm debian/libmaloc-dev/usr/share/doc/libmaloc-dev/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js debian/libmaloc-dev/usr/share/doc/libmaloc-dev/html/jquery.js

execute_after_dh_clean:
	rm -rf doc/api doc/doxygen/maloc.dox
	rm -f src/aaa_inc/maloc/maloc_base.h
	rm -f src/efence/Makefile
